.button-share {
  position: relative;
}
.button-share__button {
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: pointer;
  width: 46px;
  height: 46px;
}
.button-share__button--icon {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100%;
  background-color: #F6F8FE;
  padding: 14px;
}
.button-share__button--icon .icon {
  width: 18px;
  height: 18px;
  color: #6C789C;
}
.button-share__button--text {
  font-weight: 450;
  font-size: 14px;
  line-height: 1.57143;
  color: #6C789C;
}
.button-share .button-share-tooltip {
  display: none;
  position: absolute;
  left: 0;
  top: 55px;
  border-radius: 16px;
  padding-block: 10px;
  padding-inline: 10px;
  box-shadow: 0 4px 40px 0 rgba(0, 0, 0, 0.1);
  background: #ffffff;
  opacity: 0;
  z-index: 2;
  visibility: hidden;
  pointer-events: none;
  transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
}
@media (min-width: 550px) {
  .button-share .button-share-tooltip {
    padding-block: 20px 10px;
    padding-inline: 20px;
  }
}
.button-share .button-share-tooltip.below {
  top: 100%;
  bottom: auto;
  transform: translateY(8px);
}
.button-share .button-share-tooltip.above {
  bottom: 100%;
  top: auto;
  transform: translateY(-8px);
}
.button-share .button-share-tooltip__socials {
  display: flex;
  flex-direction: column;
  gap: 4px;
  padding-bottom: 10px;
  border-bottom: 1px solid #EBEEF5;
}
.button-share .button-share-tooltip__item {
  display: flex;
  align-items: center;
  gap: 10px;
  padding-block: 4px;
  font-weight: 450;
  font-size: 15px;
  line-height: 1.24;
  color: #3F4162;
  white-space: nowrap;
}
@media (min-width: 550px) {
  .button-share .button-share-tooltip__item {
    font-size: 16px;
  }
}
.button-share .button-share-tooltip__item svg {
  flex: 0 0 auto;
  width: 24px;
  height: 24px;
  color: #3F4162;
}
@media (min-width: 550px) {
  .button-share .button-share-tooltip__item svg {
    width: 28px;
    height: 28px;
  }
}
.button-share .button-share-tooltip__item:hover svg {
  transform: scale(1.05);
}
.button-share .button-share-tooltip__footer {
  padding-top: 4px;
}
.button-share.active .button-share-tooltip {
  opacity: 1;
  visibility: visible;
  pointer-events: all;
}